%global srcname cache_tab
# Erlang packages don't seem to ship debug files, as the build process does not generate them
%global debug_package %{nil}


Name: erlang-cache_tab
Version: 1.0.12
Release: 4%{?dist}

License: ASL 2.0
Summary: Erlang cache table application
URL: https://github.com/processone/cache_tab/
Source0: https://github.com/processone/cache_tab/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildRequires: gcc
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= 1.0.10

Requires: erlang-p1_utils >= 1.0.10
%{?__erlang_nif_version:Requires: %{__erlang_nif_version}}


%description
This application is intended to proxy back-end operations for Key-Value insert,
lookup and delete and maintain a cache of those Key-Values in-memory, to save
back-end operations. Operations are intended to be atomic between back-end and
cache tables. The lifetime of the cache object and the max size of the cache
can be defined as table parameters to limit the size of the in-memory tables.


%prep
%autosetup -n cache_tab-%{version}


%build
%{rebar_compile}


%install
%{erlang_install}

install -p -D -m 755 priv/lib/* --target-directory=%{buildroot}%{erlang_appdir}/priv/lib/


%check
%{rebar_eunit}


%files
%license LICENSE.txt
%doc CHANGELOG.md
%doc README.md
%{_erllibdir}/%{srcname}-%{version}


%changelog
* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-4
- Re-rebuild against Erlang 20, this time with feeling (and a fixed autodependency script).

* Thu Feb 22 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-3
- Rebuilt for Erlang 20.

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.12-1
- Update to 1.0.12 (#1515216).
- https://github.com/processone/cache_tab/blob/1.0.12/CHANGELOG.md

* Fri Nov 10 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.11-1
- Update to 1.0.11 (#1434803).
- https://github.com/processone/cache_tab/blob/1.0.11/CHANGELOG.md

* Sun Oct 22 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-3
- Install the shared objects and depend on erlang_nif (#1505170).

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Sun Jul 30 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.9-1
- Update to 1.0.9 (#1434803).

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.0.6-1
- Update to 1.0.6 (#1398605).
- https://github.com/processone/cache_tab/blob/1.0.6/CHANGELOG.md

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
